=== debian/changelog ===
jdupes (1.20.2-1) unstable; urgency=medium

  * New upstream version 1.20.2.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 08 Nov 2021 20:31:22 -0300

jdupes (1.20.1-1) unstable; urgency=medium

  * New upstream version 1.20.1.
  * debian/control: bumped Standards-Version to 4.6.0.1.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Thu, 28 Oct 2021 23:33:07 -0300

jdupes (1.20.0-1) unstable; urgency=medium

  * New upstream version 1.20.0.
  * debian/copyright:
      - Added a block for oom.c and oom.h.
      - Updated upstream and packaging copyright years.
  * debian/tests/control: removed '-n' from a test because this option was
    deprecated in jdupes 1.20.0.
  * debian/watch: updated the search rule to make it compliant with new
    standards of the GitHub.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 15 Aug 2021 11:59:09 -0300
