=== debian/tests/control ===
Test-Command: jdupes -v
Restrictions: superficial

Test-Command: jdupes debian/tests/files/

Test-Command: jdupes -m debian/tests/files/

Test-Command: jdupes -M debian/tests/files/

Test-Command: jdupes -r0 debian/tests/files/

Test-Command: jdupes -mr debian/tests/files/

Test-Command: jdupes -ru debian/tests/files/

# testdir is a test directory provided by the upstream
Test-Command: jdupes -r testdir

Test-Command: cp -a debian/tests/files/ $AUTOPKGTEST_TMP;
              jdupes -@1ADHiprls $AUTOPKGTEST_TMP/files;
              tree -C $AUTOPKGTEST_TMP/
Depends: @, tree:native

Test-Command: cp -a debian/tests/files/ $AUTOPKGTEST_TMP;
              jdupes -@rdNQzo time  -X size+:15 $AUTOPKGTEST_TMP/files;
              tree -C $AUTOPKGTEST_TMP/
Depends: @, tree:native
Restrictions: allow-stderr

Test-Command: fsdeploy original-files;
              jdupes -r $AUTOPKGTEST_TMP/
Restrictions: allow-stderr
Depends: @, forensics-samples-files
