=== debian/watch ===
version=4
https://github.com/jbruchon/jdupes/releases .*/tags/v?(\d\S+)\.tar\.(?:bz2|gz|xz)
