## jdupes 1.21.1

=== debian/changelog ===
jdupes (1.21.1-1) unstable; urgency=medium

  * New upstream version 1.21.1.
  * debian/patches/010_fix-dedup-btrfs.patch: removed because the upstream
    released a fixed the source code. Thanks.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Fri, 02 Dec 2022 14:41:09 -0300

jdupes (1.21.0-3) unstable; urgency=medium

  * debian/watch: updated the search rule to make it compliant with new
    standards of the GitHub.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 03 Oct 2022 00:11:08 -0300

jdupes (1.21.0-2) unstable; urgency=medium

  * debian/patches/010_fix-dedup-btrfs.patch: created to fix BTRFS
    deduplication broken since upstream/1.21.0. Thanks to Calum
    McConnell <calumlikesapplepie@gmail.com>. (Closes: #1019588)
  * debian/tests/control: improved all tests making checks over the results.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sat, 17 Sep 2022 12:53:25 -0300

jdupes (1.21.0-1) unstable; urgency=medium

  * New upstream version 1.21.0.
  * debian/control: bumped Standards-Version to 4.6.1.
  * debian/copyright:
      - Changed the licensing for linux-dedupe-static.h, updated by the
        upstream.
      - Updated upstream and packaging copyright years.
  * debian/upstream/metadata: added field Donation.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 06 Sep 2022 01:26:40 -0300
