## jdupes 1.21.2

=== Makefile ===
--- 
+++ 
@@ -55,16 +55,23 @@
 COMPILER_OPTIONS = -Wall -Wwrite-strings -Wcast-align -Wstrict-aliasing -Wstrict-prototypes -Wpointer-arith -Wundef
 COMPILER_OPTIONS += -Wshadow -Wfloat-equal -Waggregate-return -Wcast-qual -Wswitch-default -Wswitch-enum -Wconversion -Wunreachable-code -Wformat=2
 COMPILER_OPTIONS += -std=gnu99 -O2 -g -D_FILE_OFFSET_BITS=64 -fstrict-aliasing -pipe
-COMPILER_OPTIONS += -DSMA_MAX_FREE=11
+COMPILER_OPTIONS += -DSMA_MAX_FREE=11 -DNO_ATIME
 
 #####################################################################
 # no need to modify anything beyond this point                      #
 #####################################################################
 
 # Don't use unsupported compiler options on gcc 3/4 (OS X 10.5.8 Xcode)
-GCCVERSION = $(shell expr `gcc -v 2>&1 | grep 'gcc version ' | cut -d\  -f3 | cut -d. -f1` \>= 5)
+GCCVERSION = $(shell expr `LC_ALL=C gcc -v 2>&1 | grep 'gcc version ' | cut -d\  -f3 | cut -d. -f1` \>= 5)
 ifeq "$(GCCVERSION)" "1"
 	COMPILER_OPTIONS += -Wextra -Wstrict-overflow=5 -Winit-self
+endif
+
+# Are we running on a Windows OS?
+ifeq ($(OS), Windows_NT)
+	ifndef NO_WINDOWS
+		ON_WINDOWS=1
+	endif
 endif
 
 # Debugging code inclusion
@@ -92,7 +99,7 @@
 UNAME_S=$(shell uname -s)
 
 # MinGW needs this for printf() conversions to work
-ifeq ($(OS), Windows_NT)
+ifdef ON_WINDOWS
 	ifndef NO_UNICODE
 		UNICODE=1
 		COMPILER_OPTIONS += -municode
@@ -108,6 +115,34 @@
 	override undefine ENABLE_DEDUPE
 endif
 
+# Stack size limit can be too small for deep directory trees, so set to 16 MiB
+# The ld syntax for Windows is the same for both Cygwin and MinGW
+ifeq ($(OS), Windows_NT)
+COMPILER_OPTIONS += -Wl,--stack=16777216
+else ifeq ($(UNAME_S), Darwin)
+COMPILER_OPTIONS += -Wl,-stack_size -Wl,0x1000000
+else
+COMPILER_OPTIONS += -Wl,-z,stack-size=16777216
+endif
+
+# Bare-bones mode (for the adventurous lunatic) - includes all LOW_MEMORY options
+ifdef BARE_BONES
+LOW_MEMORY=1
+COMPILER_OPTIONS += -DSMA_PASSTHROUGH -DNO_DELETE -DNO_TRAVCHECK -DBARE_BONES
+COMPILER_OPTIONS += -DCHUNK_SIZE=4096 -DPATHBUF_SIZE=1024
+endif
+
+# Low memory mode
+ifdef LOW_MEMORY
+COMPILER_OPTIONS += -DLOW_MEMORY -DSMA_PAGE_SIZE=32768
+COMPILER_OPTIONS += -DNO_HARDLINKS -DNO_SYMLINKS -DNO_USER_ORDER -DNO_PERMS
+COMPILER_OPTIONS += -DNO_ATIME -DNO_JSON -DNO_EXTFILTER -DNO_CHUNKSIZE
+COMPILER_OPTIONS += -DUSE_JODY_HASH -DNO_NUMSORT
+ifndef BARE_BONES
+COMPILER_OPTIONS += -DCHUNK_SIZE=16384
+endif
+endif
+
 # Don't do clonefile on Mac OS X < 10.13 (High Sierra)
 ifeq ($(UNAME_S), Darwin)
 	DARWINVER := $(shell expr `uname -r | cut -d. -f1` \< 17)
@@ -135,11 +170,6 @@
 COMPILER_OPTIONS += -DSTATIC_DEDUPE_H
 endif
 
-# Low memory mode
-ifdef LOW_MEMORY
-COMPILER_OPTIONS += -DLOW_MEMORY -DSMA_PAGE_SIZE=32768 -DCHUNK_SIZE=16384 -DNO_HARDLINKS -DNO_SYMLINKS -DNO_USER_ORDER -DNO_PERMS
-endif
-
 CFLAGS += $(COMPILER_OPTIONS) $(CFLAGS_EXTRA)
 
 INSTALL_PROGRAM = $(INSTALL) -m 0755
@@ -152,7 +182,7 @@
 OBJS += jdupes.o jody_paths.o jody_sort.o jody_win_unicode.o jody_strtoepoch.o string_malloc.o oom.o
 OBJS += jody_cacheinfo.o
 OBJS += act_deletefiles.o act_linkfiles.o act_printmatches.o act_summarize.o act_printjson.o
-OBJS += xxhash.o
+OBJS += xxhash.o jody_hash.o
 OBJS += $(ADDITIONAL_OBJECTS)
 
 all: $(PROGRAM_NAME)
@@ -198,7 +228,7 @@
 	strip $(PROGRAM_NAME)$(PROGRAM_SUFFIX)
 
 clean:
-	$(RM) $(OBJS) $(OBJS_CLEAN) build_date.h $(PROGRAM_NAME) $(PROGRAM_NAME).exe *~ *.gcno *.gcda *.gcov
+	$(RM) $(OBJS) $(OBJS_CLEAN) build_date.h $(PROGRAM_NAME) $(PROGRAM_NAME).exe *~ .*.un~ *.gcno *.gcda *.gcov
 
 distclean: clean
 	$(RM) *.pkg.tar.*
