=== debian/changelog ===
jdupes (1.21.2-2~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 13 Feb 2023 11:44:30 -0300

jdupes (1.21.2-2) unstable; urgency=medium

  * debian/patches/010_fix-no-file-travdone.patch: created to fix an internal
    error when jdupes runs over a non-existent directory. Thanks to Alberto
    Garcia <berto@igalia.com> and Jody Bruchon <jody@jodybruchon.com>.
    (Closes: #1030933)
  * debian/tests/control: added a new test, specific for #1030933.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Fri, 10 Feb 2023 17:17:56 -0300

jdupes (1.21.2-1) unstable; urgency=medium

  * New upstream version 1.21.2.
  * debian/control: bumped Standards-Version to 4.6.2.
  * debian/copyright: updated upstream and packaging copyright years.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 07 Feb 2023 23:15:20 -0300
