## jdupes 1.21.3

=== debian/changelog ===
jdupes (1.21.3-1+deb12u1) bookworm; urgency=medium

  * debian/patches/010_fix-data-loss.patch: created to avoid a potential data
    loss caused by a wrong message that induces the users to use a range of
    values with -d option. Currently, the -d option doesn't understand ranges.
    (Closes: #1054237)

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Wed, 08 Nov 2023 11:24:57 -0300

jdupes (1.21.3-1) unstable; urgency=medium

  * New upstream version 1.21.3.
  * debian/patches/010_fix-no-file-travdone.patch: removed because the upstream
    fixed the source code. Thanks!

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 20 Feb 2023 06:51:57 -0300
