=== debian/tests/control ===
--- 
+++ 
@@ -32,3 +32,6 @@
               jdupes -r $AUTOPKGTEST_TMP/ 2>&1 | grep "No duplicates found"
 Restrictions: allow-stderr
 Depends: @, forensics-samples-files
+
+# Test for #1030933
+Test-Command: jdupes -r xyz-123 2>&1 | grep "No duplicates found"
