=== debian/changelog ===
jdupes (1.26.1-1) unstable; urgency=medium

  * New upstream version 1.26.1.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 04 Jul 2023 19:20:02 -0300

jdupes (1.26-2) unstable; urgency=medium

  * Upload to unstable.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 04 Jul 2023 08:54:08 -0300

jdupes (1.26-1) experimental; urgency=medium

  * New upstream version 1.26.
  * debian/tests/control: fixed the first test.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 03 Jul 2023 23:55:49 -0300

jdupes (1.25.2-1) unstable; urgency=medium

  * New upstream version 1.25.2.
  * Upload to unstable.
  * debian/rules: removed no longer needed override_dh_auto_test.
  * debian/tests/control: added a new CI test to check the -q option.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sat, 24 Jun 2023 08:38:17 -0300

jdupes (1.25.0-2) experimental; urgency=medium

  * debian/control: changed from libjodycode3-dev to libjodycode-dev in
    Build-Depends field. (see #1038752)

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Wed, 21 Jun 2023 23:55:52 -0300

jdupes (1.25.0-1) unstable; urgency=medium

  * New upstream version 1.25.0.
  * debian/control: changed from libjodycode2-dev to libjodycode3-dev in
    Build-Depends field.
  * debian/patches/010_fix-hardlinks.patch: removed. This patch was taken from
    the current (new and fixed) upstream source code.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 18 Jun 2023 13:58:48 -0300

jdupes (1.24.0-2) unstable; urgency=medium

  * debian/patches/010_fix-hardlinks.patch: created to fix an issue
    with hardlinks. Thanks to Jody Bruchon <jody@jodybruchon.com>.
    (Closes: #1038417)

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sat, 17 Jun 2023 21:14:37 -0300

jdupes (1.24.0-1) unstable; urgency=medium

  * New upstream version 1.24.0.
  * debian/control: added libjodycode2-dev to Build-Depends field.
  * debian/copyright:
      - Removed block about oom.c and oom.h because these files no longer
        exist in source code. Consequently:
      - Removed the text of the CC0-1.0 license.
      - Updated upstream copyright data to reflect new statements from the
        source code.
  * debian/tests/control: removed option -D from command9 to avoid an error.
  * debian/upstream/metadata: added Documentation field.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Fri, 16 Jun 2023 16:23:08 -0300
