## jdupes 1.27.3

=== Makefile ===
--- 
+++ 
@@ -30,13 +30,14 @@
 INSTALL_DATA    = $(INSTALL) -m 0644
 
 # Main object files
+OBJS += hashdb.o
 OBJS += args.o checks.o dumpflags.o extfilter.o filehash.o filestat.o jdupes.o helptext.o
 OBJS += interrupt.o libjodycode_check.o loaddir.o match.o progress.o sort.o travcheck.o
 OBJS += act_deletefiles.o act_linkfiles.o act_printmatches.o act_summarize.o act_printjson.o
 
 # Configuration section
 COMPILER_OPTIONS = -Wall -Wwrite-strings -Wcast-align -Wstrict-aliasing -Wstrict-prototypes -Wpointer-arith -Wundef
-COMPILER_OPTIONS += -Wshadow -Wfloat-equal -Waggregate-return -Wcast-qual -Wswitch-default -Wswitch-enum -Wconversion -Wunreachable-code -Wformat=2
+COMPILER_OPTIONS += -Wshadow -Wfloat-equal -Waggregate-return -Wcast-qual -Wswitch-default -Wswitch-enum -Wunreachable-code -Wformat=2
 COMPILER_OPTIONS += -std=gnu11 -D_FILE_OFFSET_BITS=64 -fstrict-aliasing -pipe
 COMPILER_OPTIONS += -DNO_ATIME
 
@@ -47,70 +48,18 @@
 endif
 
 
-UNAME_S=$(shell uname -s)
-
-# Don't use unsupported compiler options on gcc 3/4 (Mac OS X 10.5.8 Xcode)
-# ENABLE_DEDUPE by default - macOS Sierra 10.12 and up required
-ifeq ($(UNAME_S), Darwin)
- GCCVERSION = $(shell expr `LC_ALL=C gcc -v 2>&1 | grep 'gcc version ' | cut -d\  -f3 | cut -d. -f1` \>= 5)
- ifndef DISABLE_DEDUPE
-  ENABLE_DEDUPE = 1
- endif
-else
- GCCVERSION = 1
-endif
-
-ifeq ($(GCCVERSION), 1)
- COMPILER_OPTIONS += -Wextra -Wstrict-overflow=5 -Winit-self
-endif
-
-# Are we running on a Windows OS?
-ifeq ($(OS), Windows_NT)
- ifndef NO_WINDOWS
-  ON_WINDOWS=1
- endif
-endif
-
-# Debugging code inclusion
-ifdef LOUD
- DEBUG=1
- COMPILER_OPTIONS += -DLOUD_DEBUG
-endif
-ifdef DEBUG
- COMPILER_OPTIONS += -DDEBUG
-else
- COMPILER_OPTIONS += -DNDEBUG
-endif
-ifdef HARDEN
- COMPILER_OPTIONS += -Wformat -Wformat-security -D_FORTIFY_SOURCE=2 -fstack-protector-strong -fPIE -fpie -Wl,-z,relro -Wl,-z,now
-endif
-
-# MinGW needs this for printf() conversions to work
-ifdef ON_WINDOWS
- ifndef NO_UNICODE
-  UNICODE=1
-  COMPILER_OPTIONS += -municode
-  SUFFIX=.exe
- endif
- COMPILER_OPTIONS += -D__USE_MINGW_ANSI_STDIO=1 -DON_WINDOWS=1
- ifeq ($(UNAME_S), MINGW32_NT-5.1)
-  OBJS += winres_xp.o
- else
-  OBJS += winres.o
- endif
- override undefine ENABLE_DEDUPE
-endif
-
 # Bare-bones mode (for the adventurous lunatic) - includes all LOW_MEMORY options
 ifdef BARE_BONES
- LOW_MEMORY=1
+ LOW_MEMORY = 1
  COMPILER_OPTIONS += -DNO_DELETE -DNO_TRAVCHECK -DBARE_BONES -DNO_ERRORONDUPE
- COMPILER_OPTIONS += -DCHUNK_SIZE=4096 -DPATHBUF_SIZE=1024
+ COMPILER_OPTIONS += -DNO_HASHDB -DNO_HELPTEXT -DCHUNK_SIZE=4096 -DPATHBUF_SIZE=1024
 endif
 
 # Low memory mode
 ifdef LOW_MEMORY
  USE_JODY_HASH = 1
+ DISABLE_DEDUPE = 1
+ override undefine ENABLE_DEDUPE
  COMPILER_OPTIONS += -DLOW_MEMORY
  COMPILER_OPTIONS += -DNO_HARDLINKS -DNO_SYMLINKS -DNO_USER_ORDER -DNO_PERMS
  COMPILER_OPTIONS += -DNO_ATIME -DNO_JSON -DNO_EXTFILTER -DNO_CHUNKSIZE
@@ -120,9 +69,70 @@
  endif
 endif
 
+
+UNAME_S=$(shell uname -s)
+
+# Are we running on a Windows OS?
+ifeq ($(OS), Windows_NT)
+ ifndef NO_WINDOWS
+  ON_WINDOWS=1
+ endif
+endif
+
+# Debugging code inclusion
+ifdef LOUD
+ DEBUG=1
+ COMPILER_OPTIONS += -DLOUD_DEBUG
+endif
+ifdef DEBUG
+ COMPILER_OPTIONS += -DDEBUG
+else
+ COMPILER_OPTIONS += -DNDEBUG
+endif
+ifdef HARDEN
+ COMPILER_OPTIONS += -Wformat -Wformat-security -D_FORTIFY_SOURCE=2 -fstack-protector-strong -fPIE -fpie -Wl,-z,relro -Wl,-z,now
+endif
+
+# MinGW needs this for printf() conversions to work
+ifdef ON_WINDOWS
+ ifndef NO_UNICODE
+  UNICODE=1
+  COMPILER_OPTIONS += -municode
+ endif
+ SUFFIX=.exe
+ LIBEXT=.dll
+ COMPILER_OPTIONS += -D__USE_MINGW_ANSI_STDIO=1 -DON_WINDOWS=1
+ ifeq ($(UNAME_S), MINGW32_NT-5.1)
+  OBJS += winres_xp.o
+ else
+  OBJS += winres.o
+ endif
+ override undefine ENABLE_DEDUPE
+ DISABLE_DEDUPE = 1
+else
+ LIBEXT=.so
+endif
+
+# Don't use unsupported compiler options on gcc 3/4 (Mac OS X 10.5.8 Xcode)
+# ENABLE_DEDUPE by default - macOS Sierra 10.12 and up required
+ifeq ($(UNAME_S), Darwin)
+ GCCVERSION = $(shell expr `LC_ALL=C gcc -v 2>&1 | grep '[cn][cg] version' | sed 's/[^0-9]*//;s/[ .].*//'` \>= 5)
+ ifndef DISABLE_DEDUPE
+  ENABLE_DEDUPE = 1
+ endif
+else
+ GCCVERSION = 1
+ BDYNAMIC = -Wl,-Bdynamic
+ BSTATIC = -Wl,-Bstatic
+endif
+
+ifeq ($(GCCVERSION), 1)
+ COMPILER_OPTIONS += -Wextra -Wstrict-overflow=5 -Winit-self
+endif
+
 # Use jody_hash instead of xxHash if requested
 ifdef USE_JODY_HASH
- COMPILER_OPTIONS += -DUSE_JODY_HASH
+ COMPILER_OPTIONS += -DUSE_JODY_HASH -DNO_XXHASH2
  OBJS_CLEAN += xxhash.o
  else
  ifndef EXTERNAL_HASH_LIB
@@ -155,7 +165,7 @@
 # ENABLE_DEDUPE should be ON by default for Linux
 ifeq ($(UNAME_S), Linux)
  ifndef DISABLE_DEDUPE
- ENABLE_DEDUPE = 1
+  ENABLE_DEDUPE = 1
  endif
 endif
 
@@ -168,6 +178,7 @@
 # Catch someone trying to enable dedupe in flags and turn on ENABLE_DEDUPE
 ifneq (,$(findstring DENABLE_DEDUPE,$(CFLAGS) $(CFLAGS_EXTRA)))
  ENABLE_DEDUPE = 1
+ $(warn Do not enable dedupe in CFLAGS; use make ENABLE_DEDUPE=1 instead)
  ifdef DISABLE_DEDUPE
   $(error DISABLE_DEDUPE set but -DENABLE_DEDUPE is in CFLAGS. Choose only one)
  endif
@@ -194,10 +205,11 @@
    $(error You must build libjodycode before building jdupes)
   endif
  endif
- ifdef FORCE_JC_DLL
-  LINK_OPTIONS += -l:../libjodycode/libjodycode.dll
- else
-  LINK_OPTIONS += -ljodycode
+ STATIC_LDFLAGS += ../libjodycode/libjodycode.a
+ ifdef ON_WINDOWS
+  DYN_LDFLAGS += -l:../libjodycode/libjodycode$(LIBEXT)
+ else
+  DYN_LDFLAGS += -ljodycode
  endif
 endif
 
@@ -206,22 +218,22 @@
 LDFLAGS += $(LINK_OPTIONS) $(LDFLAGS_EXTRA)
 
 
-all: libjodycode_hint $(PROGRAM_NAME)
+all: libjodycode_hint $(PROGRAM_NAME) dynamic_jc
 
 dynamic_jc: $(PROGRAM_NAME)
-	$(CC) $(CFLAGS) $(OBJS) -Wl,-Bdynamic $(LDFLAGS) -o $(PROGRAM_NAME)$(SUFFIX)
+	$(CC) $(CFLAGS) $(OBJS) $(BDYNAMIC) $(LDFLAGS) $(DYN_LDFLAGS) -o $(PROGRAM_NAME)$(SUFFIX)
 
 static_jc: $(PROGRAM_NAME)
-	$(CC) $(CFLAGS) $(OBJS) -Wl,-Bstatic $(LDFLAGS) -Wl,-Bdynamic -o $(PROGRAM_NAME)$(SUFFIX)
+	$(CC) $(CFLAGS) $(OBJS) $(LDFLAGS) $(STATIC_LDFLAGS) $(BDYNAMIC) -o $(PROGRAM_NAME)$(SUFFIX)
 
 static: $(PROGRAM_NAME)
-	$(CC) $(CFLAGS) $(OBJS) -static $(LDFLAGS) -o $(PROGRAM_NAME)$(SUFFIX)
+	$(CC) $(CFLAGS) $(OBJS) -static $(LDFLAGS) $(STATIC_LDFLAGS) -o $(PROGRAM_NAME)$(SUFFIX)
 
 static_stripped: $(PROGRAM_NAME) static
-	strip $(PROGRAM_NAME)$(SUFFIX)
+	-strip $(PROGRAM_NAME)$(SUFFIX)
 
 $(PROGRAM_NAME): $(OBJS)
-	$(CC) $(CFLAGS) $(OBJS) $(LDFLAGS) -o $(PROGRAM_NAME)$(SUFFIX)
+	$(CC) $(CFLAGS) $(OBJS) $(BDYNAMIC) $(LDFLAGS) $(DYN_LDFLAGS) -o $(PROGRAM_NAME)$(SUFFIX)
 
 winres.o: winres.rc winres.manifest.xml
 	./tune_winres.sh
