=== debian/changelog ===
jdupes (1.27.3-5~bpo12+2) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.
  * debian/patches/040_fix-uniq-count.patch: created to fix a bit flag overlap
    between FF_NOT_UNIQUE and FF_HASHDB_DIRTY. This caused --unique to silently
    fail in detecting certain unique files. This bug is not present in current
    unstable/testing and is being fixed in current stable (Trixie, see
    #1117467). (Closes: #1063079)

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 06 Oct 2025 03:04:05 -0300

jdupes (1.27.3-5~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sat, 02 Dec 2023 23:21:39 -0300

jdupes (1.27.3-5) unstable; urgency=medium

  * jdupes has a homepage and a new repository (Codeberg). Consequently:
      - debian/control: updated the Homepage field.
      - debian/copyright: updated Upstream-Contact and Source fields.
      - debian/upstream/metadata: updated all data.
  * debian/patches/030_fix-crash-database.patch: created to fix a possible
    crash of the database. Thanks to Jody Bruchon (the upstream).

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 13 Nov 2023 22:46:45 -0300

jdupes (1.27.3-4) unstable; urgency=medium

  * debian/patches/020_fix-data-loss.patch: created to avoid a potential data
    loss caused by a wrong message that induces the users to use a range of
    values with -d option. Currently, the -d option doesn't understand ranges.
    (Closes: #1054237)

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Thu, 19 Oct 2023 13:40:10 -0300

jdupes (1.27.3-3) unstable; urgency=medium

  * debian/watch: updated because the upstream moved the project from GitHub
    to Codeberg.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 10 Oct 2023 13:53:09 -0300

jdupes (1.27.3-2) unstable; urgency=medium

  * debian/patches/010_fix-FTBFS-Hurd.patch: created to fix the build on Hurd,
    declaring the PATH_MAX variable.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 29 Aug 2023 17:30:27 -0300

jdupes (1.27.3-1) unstable; urgency=medium

  * New upstream version 1.27.3.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 29 Aug 2023 15:01:06 -0300
