=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends: debhelper-compat (= 13), libjodycode-dev
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
-Homepage: https://github.com/jbruchon/jdupes
+Homepage: https://www.jdupes.com/
 Vcs-Browser: https://salsa.debian.org/debian/jdupes
 Vcs-Git: https://salsa.debian.org/debian/jdupes.git
