=== debian/tests/control ===
--- 
+++ 
@@ -1,4 +1,4 @@
-Test-Command: jdupes -v | egrep 'jdupes [0-9]+\.[0-9]+\.[0-9]+ '
+Test-Command: jdupes -v | egrep 'jdupes [0-9]+\.[0-9]+'
 Restrictions: superficial
 
 Test-Command: jdupes debian/tests/files/ | grep list -C2 | grep -C2 list3
@@ -18,7 +18,12 @@
 Test-Command: jdupes -r testdir | grep -C200 tinydupe2 | grep -C200 file100
 
 Test-Command: cp -a debian/tests/files/ $AUTOPKGTEST_TMP;
-              jdupes -@1ADHiprls $AUTOPKGTEST_TMP/files;
+              jdupes -@1AHiprls $AUTOPKGTEST_TMP/files;
+              tree -C $AUTOPKGTEST_TMP/ | grep -C50 list1| grep -C50 list7
+Depends: @, tree:native
+
+Test-Command: cp -a debian/tests/files/ $AUTOPKGTEST_TMP;
+              jdupes -@1AHiprlsq $AUTOPKGTEST_TMP/files;
               tree -C $AUTOPKGTEST_TMP/ | grep -C50 list1| grep -C50 list7
 Depends: @, tree:native
