## jdupes 1.28.0

=== Makefile ===
--- 
+++ 
@@ -30,7 +30,7 @@
 INSTALL_DATA    = $(INSTALL) -m 0644
 
 # Main object files
-OBJS += hashdb.o
+OBJS += hashdb.o get_d_namlen.o
 OBJS += args.o checks.o dumpflags.o extfilter.o filehash.o filestat.o jdupes.o helptext.o
 OBJS += interrupt.o libjodycode_check.o loaddir.o match.o progress.o sort.o travcheck.o
 OBJS += act_deletefiles.o act_linkfiles.o act_printmatches.o act_summarize.o act_printjson.o
@@ -233,7 +233,7 @@
 	-strip $(PROGRAM_NAME)$(SUFFIX)
 
 $(PROGRAM_NAME): $(OBJS)
-	$(CC) $(CFLAGS) $(OBJS) $(BDYNAMIC) $(LDFLAGS) $(DYN_LDFLAGS) -o $(PROGRAM_NAME)$(SUFFIX)
+	:
 
 winres.o: winres.rc winres.manifest.xml
 	./tune_winres.sh
