=== debian/changelog ===
jdupes (1.28.0-1) unstable; urgency=medium

  * New upstream version 1.28.0.
  * debian/control:
      - Added a relationship to libjodycode-dev.
      - Bumped Standards-Version to 4.7.0.
  * debian/copyright: updated upstream and packaging copyright years.
  * debian/docs: added ISSUES.txt.
  * debian/patches/: removed patches 020_fix-data-loss.patch and
    030_fix-crash-database.patch, already present in new upstream version.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 05 Aug 2024 19:05:55 -0300
