=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: utils
 Priority: optional
 Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
-Build-Depends: debhelper-compat (= 13), libjodycode-dev
-Standards-Version: 4.6.2
+Build-Depends: debhelper-compat (= 13), libjodycode-dev (>= 3.1.1)
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://www.jdupes.com/
 Vcs-Browser: https://salsa.debian.org/debian/jdupes
