## jdupes 1.30.0

=== debian/changelog ===
jdupes (1.30.0-2~bpo13+1) trixie-backports; urgency=medium

  * Rebuild for trixie-backports.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sat, 04 Oct 2025 16:46:16 -0300

jdupes (1.30.0-2) unstable; urgency=medium

  * Using libjodycode4 instead of libjodycode4t64. (Closes: #1116366)
  * debian/control: updated relationship for libjodycode-dev in Build-Depends
    field.
  * debian/tests/: created a new CI test for #1063079.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 28 Sep 2025 22:25:49 -0300

jdupes (1.30.0-1) unstable; urgency=medium

  * New upstream version 1.30.0.
  * debian/control:
      - Bumped Standards-Version to 4.7.2.
      - Removed no longer needed "Rules-Requires-Root: no" field.
      - Updated the relationship for libjodycode-dev in Build-Depends field.
  * debian/copyright: updated upstream and packaging copyright years.
  * debian/patches/:
      - 010_fix-FTBFS-Hurd.patch: removed because the upstream applied this
        patch. Thanks!
      - 010_add-gcc-hardening.patch: created to fix GCC hardening adding
        CPPFLAGS to ljc_vercheck.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 23 Sep 2025 22:17:29 -0300
