=== debian/tests/control ===
--- 
+++ 
@@ -40,3 +40,13 @@
 
 # Test for #1030933
 Test-Command: jdupes -r xyz-123 2>&1 | grep "No duplicates found"
+
+# Test for #1063079
+Test-Command: cp debian/tests/files2.tar.gz $AUTOPKGTEST_TMP;
+              cd $AUTOPKGTEST_TMP;
+              tar -xvf files2.tar.gz;
+              rm files2.tar.gz;
+              JD1=$(jdupes -r files2/2/ files2/3/ | grep files2 | wc -l);
+              JD2=$(jdupes -ru files2/2/ files2/3/ | wc -l);
+              JDSUM=$((JD1 + JD2));
+              if [ "$JDSUM" -ne "1200" ]; then echo "Error: Invalid sum. Expected 1200, but received $JDSUM."; exit 1; fi
